ISPConfig jobs stuck

Discussion in 'General' started by pecka33, Sep 13, 2021.

  1. pecka33

    pecka33 Member

    Hello, i have a problem. For my sites i switch from Fast-CGI or php-fpm. After that i can not do any changes via ispconfig. For example create emails, sites etc. all my tasks is still in proces. What can i do? When i run script manually i get error

    Code:
    [email protected]:~# /usr/local/ispconfig/server/server.sh
    13.09.2021-11:37 - WARNING - There is already a lockfile set, but no process running with this pid (8753). Continuing.
    PHP Fatal error:  Uncaught Error: Call to undefined function mysqli_init() in /usr/local/ispconfig/server/lib/classes/db_mysql.inc.php:83
    Stack trace:
    #0 /usr/local/ispconfig/server/lib/app.inc.php(51): db->__construct()
    #1 /usr/local/ispconfig/server/lib/app.inc.php(241): app->__construct()
    #2 /usr/local/ispconfig/server/server.php(51): require('...')
    #3 {main}
      thrown in /usr/local/ispconfig/server/lib/classes/db_mysql.inc.php on line 83
    PHP Fatal error:  Uncaught Error: Call to undefined function mysqli_init() in /usr/local/ispconfig/server/lib/classes/db_mysql.inc.php:83
    Stack trace:
    #0 /usr/local/ispconfig/server/lib/app.inc.php(51): db->__construct()
    #1 /usr/local/ispconfig/server/lib/app.inc.php(241): app->__construct()
    #2 /usr/local/ispconfig/security/check.php(32): require('...')
    #3 {main}
      thrown in /usr/local/ispconfig/server/lib/classes/db_mysql.inc.php on line 83
    
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Please post the result of the command:

    php --version

    and which OS do you use?
     
  3. pecka33

    pecka33 Member

    With this i get
    Code:
    PHP 8.0.10 (cli) (built: Aug 26 2021 16:09:29) ( NTS )
    Copyright (c) The PHP Group
    Zend Engine v4.0.10, Copyright (c) Zend Technologies
        with Zend OPcache v8.0.10, Copyright (c), by Zend Technologies
    
    but this version i dont use and have not installed

    Now i tried to set to 5.6 with
    sudo update-alternatives --set php /usr/bin/php5.6

    Looks like that this help to me
     
  4. ahrasis

    ahrasis Well-Known Member HowtoForge Supporter

    Only use php version shipped with your OS, not higher or lower.
     
    Th0m likes this.
  5. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

Share This Page